# $Id: dnstop.spec 6203 2008-03-08 14:24:47Z dag $
# Authority: dag
# Upstream: Duane Wessels <wessels$measurement-factory,com>

%{?dtag: %{expand: %%define %dtag 1}}

%{!?dtag:%define _with_libpcapdevel 1}
%{?el5:%define _with_libpcapdevel 1}
%{?fc6:%define _with_libpcapdevel 1}

Summary: Displays various tables of DNS traffic on your network
Name: dnstop
%define real_version 20070510
Version: 0.0.20070510
Release: 1.%{releasetagsuffix}
License: BSD
Group: Applications/Internet
URL: http://dnstop.measurement-factory.com/

Source: http://dnstop.measurement-factory.com/src/dnstop-%{real_version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpcap, ncurses-devel
%{?_with_libpcapdevel:BuildRequires:libpcap-devel}

%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network, including tables of source and
destination IP addresses, query types, top level domains and second
level domains.

%prep
%setup -n %{name}-%{real_version}

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -DUSE_IPV6=1 -DUSE_PPP=0"

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 dnstop %{buildroot}%{_sbindir}/dnstop
%{__install} -Dp -m0644 dnstop.8 %{buildroot}%{_mandir}/man8/dnstop.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE
%doc %{_mandir}/man8/dnstop.8*
%{_sbindir}/dnstop

%changelog
* Sat Mar 08 2008 Dag Wieers <dag@wieers.com> - 0.0.20070510-1 #6203
- Updated to release 20070510.

* Wed Sep 03 2003 Dag Wieers <dag@wieers.com> - 0.0.20030228-0
- Initial package. (using DAR)
